Subject: Re: [PATCH net] netlink: rx mmap: fix POLLIN condition

From: Ken-ichirou MATSUZAWA <[email-masked]>
Date: Fri, 28 Aug 2015 16:00:59 +0900

Thank you for the reply.
 
On Tue, Aug 25, 2015 at 08:17:12PM -0700, David Miller wrote:
> So if netlink_forward_ring() _actually_ sees an entry that we should
> advance past, it will cycle through the whole ring, advancing ring->head
> until it equals the "ring->head != head" loop test fails.
> 
> We should definitely fix this bug first.

I should have realized it, sorry. I think the following patch will
fix it, would you review it?

> As per your patch, I wonder if a backwards scan would be faster.

I think so, thanks. I will resend it after netlink_forward_ring()
fix is applied.

Thanks,
Ken